<script lang="ts">
  import AdminLayout from '$lib/components/layouts/AdminLayout.svelte';
  import Search from '$lib/components/Search.svelte';
  import Button from '$lib/components/Button.svelte';
  import type { PageData } from './$types';
  import ContactItem from '$lib/components/Items/ContactItem.svelte';
  import { axiosInstance } from '$lib/config';

  export let data: PageData;

  let contacts = data?.contact.data;

  async function handleSearch(event: any) {
    const res = await axiosInstance.get('/contact', { params: { ...(event.detail && { name: event.detail }) } });

    contacts = res.data.data;
  }
</script>

<svelte:head>
    <title>Контакты</title>
</svelte:head>

<AdminLayout>
    <header class="mt-8 mr-8 flex justify-end gap-6">
        <Search on:search={handleSearch}/>
        <a href="/admin/contacts/create">
            <Button class="h-full">Создать</Button>
        </a>
    </header>
    <section class="pr-8 space-y-6">
        {#each contacts as { id, name, phone, email, sno: ssa, deletedAt }}
            {#if !deletedAt}
                <ContactItem
                    {id}
                    {name}
                    {phone}
                    {email}
                    {ssa}
                />
            {/if}
        {/each}
    </section>
</AdminLayout>